<?php
/*************************************************************************************/
/*      This file is part of the Thelia package.                                     */
/*                                                                                   */
/*      Copyright (c) OpenStudio                                                     */
/*      email : dev@thelia.net                                                       */
/*      web : http://www.thelia.net                                                  */
/*                                                                                   */
/*      For the full copyright and license information, please view the LICENSE.txt  */
/*      file that was distributed with this source code.                             */
/*************************************************************************************/
/*************************************************************************************/

namespace ArtabanMarketplace\Event;

use ArtabanMarketplace\Model\AmpSellerProduct;
use Symfony\Component\EventDispatcher\Event;

/**
 * Class AmpProductLinkEvent
 * @package ArtabanMarketplace\Event
 */
class AmpProductLinkEvent extends Event
{

    /**
     * @var AmpSellerProduct $ampProductLink
     */
    protected $ampProductLink;

    /**
     * @return AmpProductLink
     */
    public function getAmpProductLink()
    {
        return $this->ampProductLink;
    }

    /**
     * @param AmpSellerProduct $ampProductLink
     */
    public function setAmpProductLink($ampProductLink)
    {
        $this->ampProductLink = $ampProductLink;
    }
}
