<?php
/*************************************************************************************/
/*      For the full copyright and license information, please view the LICENSE.txt  */
/*      file that was distributed with this source code.                             */
/*************************************************************************************/
/*************************************************************************************/

namespace ArtabanMarketplace\Event;

use ArtabanMarketplace\Model\AmpSellerAdmin;
use Symfony\Component\EventDispatcher\Event;

/**
 * Class AmpSellerAdminLinkEvent
 * @package ArtabanMarketplace\Event
 */
class AmpSellerAdminLinkEvent extends Event
{

    /**
     * @var AmpSellerAdmin $ampSellerAdmin
     */
    protected $ampSellerAdmin;

    /**
     * @return AmpSellerAdmin
     */
    public function getAmpSellerAdmin()
    {
        return $this->ampSellerAdmin;
    }

    /**
     * @param AmpSellerProduct $ampSellerAdmin
     */
    public function setAmpSellerAdmin($ampSellerAdmin)
    {
        $this->ampSellerAdmin = $ampSellerAdmin;
    }
}
