<?php

/* * ********************************************************************************** */
/*      This file is part of the Thelia package.                                     */
/*                                                                                   */
/*      Copyright (c) OpenStudio                                                     */
/*      email : dev@thelia.net                                                       */
/*      web : http://www.thelia.net                                                  */
/*                                                                                   */
/*      For the full copyright and license information, please view the LICENSE.txt  */
/*      file that was distributed with this source code.                             */
/* * ********************************************************************************** */
/* * ********************************************************************************** */

namespace ArtabanMarketplace\Event;

/**
 * Class AmpSellerEvents
 */
class AmpSellerEvents {

    // SELLER
    const SELLER_CREATE = "artabanmarketplace.seller.create";
    const SELLER_CREATE_BEFORE = "artabanmarketplace.seller.create.before";
    const SELLER_CREATE_AFTER = "artabanmarketplace.seller.create.after";
    const SELLER_UPDATE = "artabanmarketplace.seller.update";
    const SELLER_UPDATE_BEFORE = "artabanmarketplace.seller.update.before";
    const SELLER_UPDATE_AFTER = "artabanmarketplace.seller.update.after";
    const SELLER_DELETE = "artabanmarketplace.seller.delete";
    const SELLER_DELETE_BEFORE = "artabanmarketplace.seller.delete.before";
    const SELLER_DELETE_AFTER = "artabanmarketplace.seller.delete.after";
    // SELLER ADMIN
    const AMP_SELLER_ADMIN_LINK_CREATE = "artabanmarketplace.seller.admin.link.link.create";
    const AMP_SELLER_ADMIN_LINK_CREATE_BEFORE = "artabanmarketplace.seller.admin.link.create.before";
    const AMP_SELLER_ADMIN_LINK_CREATE_AFTER = "artabanmarketplace.seller.admin.link.create.after";
    const AMP_SELLER_ADMIN_LINK_UPDATE = "artabanmarketplace.seller.admin.link.update";
    const AMP_SELLER_ADMIN_LINK_UPDATE_BEFORE = "artabanmarketplace.seller.admin.link.update.before";
    const AMP_SELLER_ADMIN_LINK_UPDATE_AFTER = "artabanmarketplace.seller.admin.link.update.after";
    const AMP_SELLER_ADMIN_LINK_DELETE = "artabanmarketplace.seller.admin.link.delete";
    const AMP_SELLER_ADMIN_LINK_DELETE_BEFORE = "artabanmarketplace.seller.admin.link.delete.before";
    const AMP_SELLER_ADMIN_LINK_DELETE_AFTER = "artabanmarketplace.seller.admin.link.delete.after";
    // SELLER PRODUCT
    const AMP_PRODUCT_LINK_CREATE = "artabanmarketplace.product.link.create";
    const AMP_PRODUCT_LINK_CREATE_BEFORE = "artabanmarketplace.product.link.create.before";
    const AMP_PRODUCT_LINK_CREATE_AFTER = "artabanmarketplace.product.link.create.after";
    const AMP_PRODUCT_LINK_UPDATE = "artabanmarketplace.product.link.update";
    const AMP_PRODUCT_LINK_UPDATE_BEFORE = "artabanmarketplace.product.link.update.before";
    const AMP_PRODUCT_LINK_UPDATE_AFTER = "artabanmarketplace.product.link.update.after";
    const AMP_PRODUCT_LINK_DELETE = "artabanmarketplace.product.link.delete";
    const AMP_PRODUCT_LINK_DELETE_BEFORE = "artabanmarketplace.product.link.delete.before";
    const AMP_PRODUCT_LINK_DELETE_AFTER = "artabanmarketplace.product.link.delete.after";
    // SELLER IMAGE
    const SELLER_IMAGE_CREATE = "action.seller_image.create";
    const SELLER_IMAGE_UPDATE = "action.seller_image.update";
    const SELLER_IMAGE_DELETE = "action.seller_image.delete";
    const SELLER_IMAGE_UPDATE_POSITION = "action.seller_image.update_position";
    const SELLER_IMAGE_TOGGLE_VISIBILITY = "action.seller_image.toggle_visilibity";

}
