<?php
/*************************************************************************************/
/*      This file is part of the "ArtabanMarketplace" Thelia 2 module.               */
/*                                                                                   */
/*      email : gilles@artaban.fr                                                    */
/*      web : http://www.artaban.fr                                                  */
/*                                                                                   */
/*      For the full copyright and license information, please view the LICENSE.txt  */
/*      file that was distributed with this source code.                             */
/*************************************************************************************/

namespace ArtabanMarketplace\Form;

use ArtabanMarketplace\Form\Base\SellerImageCreateForm as BaseSellerImageCreateForm;

/**
 * Class SellerImageCreateForm
 * @package ArtabanMarketplace\Form
 */
class SellerImageCreateForm extends BaseSellerImageCreateForm
{
    public function getTranslationKeys()
    {
        return array(
            "seller_id" => "Seller id",
            "file" => "File",
            "visible" => "Visible",
            "title" => "Title",
            "description" => "Description",
            "chapo" => "Chapo",
            "postscriptum" => "Postscriptum",
        );
    }
}
