<?php
/*************************************************************************************/
/*      This file is part of the "Diaporamas" Thelia 2 module.                       */
/*                                                                                   */
/*      For the full copyright and license information, please view the LICENSE.txt  */
/*      file that was distributed with this source code.                             */
/*************************************************************************************/

namespace ArtabanMarketplace\Form\Type\Base;

use Thelia\Core\Form\Type\Field\AbstractIdType;
use ArtabanMarketplace\Model\AmpSellerQuery;

/**
 * Class ArtabanMarketplace
 * @package ArtabanMarketplace\Form\Base
 * @author Artaban
 */
class SellerIdType extends AbstractIdType
{
    const TYPE_NAME = "seller_id";

    protected function getQuery()
    {
        return new AmpSellerQuery();
    }

    public function getName()
    {
        return static::TYPE_NAME;
    }
}
