<?php

/* * ********************************************************************************** */
/*      This file is part of the Thelia package.                                     */
/*                                                                                   */
/*      Copyright (c) OpenStudio                                                     */
/*      email : dev@thelia.net                                                       */
/*      web : http://www.thelia.net                                                  */
/*                                                                                   */
/*      For the full copyright and license information, please view the LICENSE.txt  */
/*      file that was distributed with this source code.                             */
/* * ********************************************************************************** */

namespace ArtabanMarketplace\Controller;

use Thelia\Controller\Front\BaseFrontController;

/**
 * Class FrontController
 * @package Thelia\Controller\Front
 * @author Gilles Lengy <gilles.lengy@artaban.fr>
 */
class FrontController extends BaseFrontController{

       public function viewAction($order_id)
    {
        return $this->render("account-seller-order", array(
            "order_id" => $order_id
        ));
    }
}
