<?php
/*************************************************************************************/
/*      This file is part of the "ArtabanMarketplace" Thelia 2 module.               */
/*                                                                                   */
/*      email : gilles@artaban.fr                                                    */
/*      web : http://www.artaban.fr                                                  */
/*                                                                                   */
/*      For the full copyright and license information, please view the LICENSE.txt  */
/*      file that was distributed with this source code.                             */
/*************************************************************************************/

namespace ArtabanMarketplace\Controller;

use ArtabanMarketplace\Controller\SellerImageFileController as BaseSellerImageFileController;

class SellerProfilImageFileController extends BaseSellerImageFileController
{
       /**
     * Manage how a image list will be displayed in AJAX
     *
     * @param int    $parentId   Parent id owning images being saved
     * @param string $parentType Parent Type owning images being saved
     *
     * @return Response
     */
    public function getImageListAjaxAction($parentId, $parentType)
    {
        //$this->checkAuth(AdminResources::MODULE, 'ArtabanMarketplace', AccessManager::UPDATE);
        $this->checkXmlHttpRequest();
        
        $args = array('seller_id' => $parentId);

        return $this->render('includes/seller-profil-image-upload-list-ajax', $args);
    }

   
}
