<?php
/*************************************************************************************/
/*      This file is part of the Thelia package.                                     */
/*                                                                                   */
/*      Copyright (c) OpenStudio                                                     */
/*      email : dev@thelia.net                                                       */
/*      web : http://www.thelia.net                                                  */
/*                                                                                   */
/*      For the full copyright and license information, please view the LICENSE.txt  */
/*      file that was distributed with this source code.                             */
/*************************************************************************************/
/*************************************************************************************/

namespace ArtabanMarketplace\Event;

use ArtabanMarketplace\Model\AmpSeller;
use Symfony\Component\EventDispatcher\Event;

/**
 * Class AmpSellerEvent
 */
class AmpSellerEvent extends Event
{
    /**
     * @var AmpSeller
     */
    protected $amp_seller;

    /**
     * @return AmpSeller
     */
    public function getAmpSeller()
    {
        return $this->amp_seller;
    }

    /**
     * @param AmpSeller $seller
     */
    public function setAmpSeller($amp_seller)
    {
        $this->amp_seller = $amp_seller;
    }
}
