<?php
/*************************************************************************************/
/*      This file is part of the "Diaporamas" Thelia 2 module.                       */
/*                                                                                   */
/*                                                                                   */
/*      For the full copyright and license information, please view the LICENSE.txt  */
/*      file that was distributed with this source code.                             */
/*************************************************************************************/

namespace ArtabanMarketplace\Event\Base;

use ArtabanMarketplace\Event\Module\AmpSellerImageEvents as ChildAmpSellerImageEvents;

/*
 * Class AmpSellerImageEvents
 * @package ArtabanMarketplace\Event\Base
 */
class AmpSellerImageEvents
{
    const CREATE = ChildAmpSellerImageEvents::SELLER_IMAGE_CREATE;
    const UPDATE = ChildAmpSellerImageEvents::SELLER_IMAGE_UPDATE;
    const DELETE = ChildAmpSellerImageEvents::SELLER_IMAGE_DELETE;
    const UPDATE_POSITION = ChildAmpSellerImageEvents::SELLER_IMAGE_UPDATE_POSITION;
    const TOGGLE_VISIBILITY = ChildAmpSellerImageEvents::SELLER_IMAGE_TOGGLE_VISIBILITY;
}
