<?php
/*************************************************************************************/
/*      This file is part of the "Diaporamas" Thelia 2 module.                       */
/*                                                                                   */
/*      Copyright (c) OpenStudio                                                     */
/*      email : dev@thelia.net                                                       */
/*      web : http://www.thelia.net                                                  */
/*                                                                                   */
/*      For the full copyright and license information, please view the LICENSE.txt  */
/*      file that was distributed with this source code.                             */
/*************************************************************************************/

namespace ArtabanMarketplace\Form\Base;

use ArtabanMarketplace\Form\SellerImageCreateForm as ChildSellerImageCreateForm;
use ArtabanMarketplace\Form\Type\SellerImageIdType;


/**
 * Class SellerImageUpdateForm
 * @package ArtabanMarketplace\Form
 * @author Artaban
 */
class SellerImageUpdateForm extends ChildSellerImageCreateForm
{
    const FORM_NAME = "seller_image_update";

    public function buildForm()
    {
        parent::buildForm();

        $this->formBuilder->add("id", SellerImageIdType::TYPE_NAME);
    }
}
